# Tarfile created using git
# git clone git://git.gnome.org/network-manager-netbook
# git archive --format=tar --prefix=network-manager-netbook-%{version}/ %{git_version} | bzip2 > %{name}-%{version}.tar.bz2
%define git_version f942521
%define tarfile %{name}-%{version}.tar.bz2

Name:          network-manager-netbook
Version:       1.7.1
Release:       0.1%{?dist}
Summary:       Moblin Netbook GUI for NetworkManger

Group:         Applications/Internet
License:       GPLv2
URL:           http://projects.gnome.org/NetworkManager/
Source0:       %{tarfile}
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: gnome-bluetooth-libs-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libnotify-devel
BuildRequires: mobile-broadband-provider-info-devel
BuildRequires: mutter-moblin-devel
BuildRequires: nbtk-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: wireless-tools-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

Requires: mobile-broadband-provider-info
Requires: hicolor-icon-theme

%description
network-manager-netbook is a connection management panel for Moblin that uses
NetworkManager to connect to wired, wireless and 3G mobile networks.

# %package bluetooth
# Summary:       Bluetooth plugin for %{name}
# Group:         Applications/Internet
# Requires:      %{name} = %{version}-%{release}

# %description bluetooth
# Bluetooth plugin for %{name}

%prep
%setup -q

# Don't run configure from autogen.sh
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

# Issues with this due to MOBLIN autostart value not recognised by Fedora's d-f-u
#desktop-file-validate %{buildroot}/%{_sysconfdir}/xdg/autostart/%{name}.desktop

%find_lang %{name}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Kill the BT plugin for the time being
rm %{buildroot}/%{_libdir}/gnome-bluetooth/plugins/libnma.so

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_sysconfdir}/xdg/autostart/network-manager-netbook.desktop
%{_libexecdir}/network-manager-netbook
%{_datadir}/network-manager-netbook
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.network.service
%{_datadir}/icons/hicolor/22x22/apps/nm-*
%{_datadir}/icons/hicolor/32x32/apps/nm-*
%{_datadir}/icons/hicolor/48x48/apps/nm-*

# %files bluetooth
# %defattr(-,root,root,-)
# %{_libdir}/gnome-bluetooth/plugins/libnma.so

%changelog
* Tue May  4 2010 Peter Robinson <pbrobinson@gmail.com> 1.7.1-0.1
- Update to upstream git snapshot

* Fri Apr 23 2010 Peter Robinson <pbrobinson@gmail.com> 1.7.0-3
- Drop bluetooth plugin for the moment

* Sat Jan 16 2010 Peter Robinson <pbrobinson@gmail.com> 1.7.0-2
- Split out bluetooth plugin to a separate sub package

* Mon Dec 14 2009 Peter Robinson <pbrobinson@gmail.com> 1.7.0-1
- Update to new upstream 1.7.0 release

* Thu Dec 10 2009 Peter Robinson <pbrobinson@gmail.com> 1.7.0-0.1
- Update to new n-m-n git head, add bluetooth support

* Fri Dec  4 2009 Peter Robinson <pbrobinson@gmail.com> 1.3.1-0.6
- Update n-m-n desktop file patch

* Sun Nov 30 2009 Peter Robinson <pbrobinson@gmail.com> 1.3.1-0.5
- Add patch to fix starting on other DE.

* Tue Nov 17 2009 Peter Robinson <pbrobinson@gmail.com> 1.3.1-0.4
- Add patch to fix autostart

* Tue Nov 17 2009 Peter Robinson <pbrobinson@gmail.com> 1.3.1-0.3
- New git snapshot of the NM-0.8 port.

* Sun Oct 11 2009 Peter Robinson <pbrobinson@gmail.com> 1.3.1-0.2
- Rebuild against latest NetworkManager release

* Thu Oct  1 2009 Peter Robinson <pbrobinson@gmail.com> 1.3.1-0.1
- Git snapshot of the NM-0.8 port.

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 1.3-1
- Update to 1.3 upstream release. Cleanup spec from upstreamed fixes

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 1.2-6
- Add patch for detection of new NetworkManager

* Wed Aug 26 2009 Peter Robinson <pbrobinson@gmail.com> 1.2-5
- Bump build

* Fri Aug 21 2009 Peter Robinson <pbrobinson@gmail.com> 1.2-4
- Review updates

* Tue Aug 11 2009 Peter Robinson <pbrobinson@gmail.com> 1.2-3
- Further updates and build fixes

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 1.2-2
- Updates and cleanups of the spec

* Thu Jul 23 2009 Peter Robinson <pbrobinson@gmail.com> 1.2-1
- Update to release 1.2

* Mon Jun 22 2009 Peter Robinson <pbrobinson@gmail.com> 1.1-1
- Initial packaging
